# Essentials
Date: 2018-12-06

com.massivecraft.factions.integration

## Class Essentials

- java.lang.Object
- - com.massivecraft.factions.integration.Essentials

    public class Essentials
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Essentials()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `handleTeleport(org.bukkit.entity.Player player, org.bukkit.Location loc)`
`static boolean` `isVanished(org.bukkit.entity.Player player)`
`static void` `setup()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Essentials

    public Essentials()

### Method Detail

#### setup

    public static void setup()

#### handleTeleport

    public static boolean handleTeleport(org.bukkit.entity.Player player,
                                         org.bukkit.Location loc)

#### isVanished

    public static boolean isVanished(org.bukkit.entity.Player player)